### Method

# St Entry get_hint_text

#### Declaration [src]

    const gchar*
    st_entry_get_hint_text (
      StEntry* entry
    )

#### Description [src]

Gets the text that is displayed when the entry is empty and unfocused or `NULL` if the `StEntry:hint-actor` was set to an actor that is not a `StLabel`.

Unlike `st_entry_get_text()` this function may return `NULL` if `StEntry:hint-actor` is not a `StLabel`.

Gets property | `St.Entry:hint-text`

#### Return value

Type: `const gchar*`

The current value of the hint property.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.